/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLBRElement_H__
#define __GdomHTMLBRElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLBRElement GdomHTMLBRElement;
typedef struct _GdomHTMLBRElementClass GdomHTMLBRElementClass;


#define GDOM_TYPE_HTMLBR_ELEMENT            (gdom_htmlbr_element_get_type())
#define GDOM_HTMLBR_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTMLBR_ELEMENT, GdomHTMLBRElement))
#define GDOM_HTMLBR_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTMLBR_ELEMENT, GdomHTMLBRElement)Class)
#define GDOM_IS_HTMLBR_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTMLBR_ELEMENT))
#define GDOM_IS_HTMLBR_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTMLBR_ELEMENT))
#define GDOM_HTMLBR_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTMLBR_ELEMENT, GdomHTMLBRElementClass))

typedef struct _GdomHTMLBRElementPrivate GdomHTMLBRElementPrivate;

struct _GdomHTMLBRElement {
    GdomHTMLElement parent_instance;
    GdomHTMLBRElementPrivate *priv;
};

struct _GdomHTMLBRElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_htmlbr_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLBRElement_H__ */
